QuattroGraphInternal Namespace Reference

## Classes
struct | Dialog
| a dialog header More...
struct | ShapeHeader
| a shape header of a QuattroGraph More...
struct | Shape
| Internal: a shape of a QuattroGraph. More...
struct | Textbox
| Internal: a shape of a QuattroGraph. More...
struct | Graph
| Internal: a graph of a QuattroGraph. More...
struct | State
| the state of QuattroGraph More...
class | SubDocument
| Internal: the subdocument of a QuattroGraphInternal. More...

## Functions
std::ostream & | operator<< (std::ostream &o, Dialog const &dlg)
std::ostream & | operator<< (std::ostream &o, ShapeHeader const &sh)
std::ostream & | operator<< (std::ostream &o, Graph const &gr)

## Function Documentation

## ◆ operator<<() [1/3]

std::ostream & QuattroGraphInternal::operator<< | ( | std::ostream & | o,
|  | Dialog const & | dlg )

## ◆ operator<<() [2/3]

std::ostream & QuattroGraphInternal::operator<< | ( | std::ostream & | o,
|  | Graph const & | gr )

## ◆ operator<<() [3/3]

std::ostream & QuattroGraphInternal::operator<< | ( | std::ostream & | o,
|  | ShapeHeader const & | sh )